package br.eti.furutani;

import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.util.HashMap;
import java.util.Map;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.sf.jasperreports.engine.JasperFillManager;
import net.sf.jasperreports.engine.JasperManager;
import net.sf.jasperreports.engine.JasperPrint;

public class Relatorio extends HttpServlet {

	
	public static Connection con;
	public static String banco = "relatorio"; // Nome do banco de dados
	public static String usuario = "root"; // Usuario do banco
	public static String senha = "4122"; // Senha

	protected void doPost(HttpServletRequest req, HttpServletResponse res)
			throws ServletException, IOException {
		conexao(); // Faz a conexo
		
		// Na variavel pathJasper ficara o caminho do diretrio para os relatrios compilados (.jasper)
		String pathJasper = getServletContext().getRealPath(
				"/WEB-INF/classes/br/eti/furutani/")
				+ "/";
		
		// A variavel path armazena o caminho real para o contexto
		// isso  util pois o seu web container pode estar instalado em lugares diferentes
		String path = getServletContext().getRealPath("/");
		
		
		// Parametros do relatorio
		Map parametros = new HashMap();
		// O nico parametro que devemos passar  o PathRelAutores
		//  o caminho pro RelAutores.jasper (que foi subtituido pelo 
		// valor fixo D:/iReport-0.4.0/RelAutores.jasper)
		parametros.put("PathRelAutores", pathJasper + "RelAutores.jasper");
		
		try {
			// Aqui ele cria o relatrio
			JasperPrint impressao = JasperFillManager.fillReport(pathJasper
					+ "RelLivros.jasper", parametros, con);

			// Grava o relatrio em disco em pdf	
			JasperManager.printReportToPdfFile(impressao, path
					+ "/RelatorioLivros.pdf");
						
			// Redireciona para o pdf gerado
			res.sendRedirect("RelatorioLivros.pdf");

		} catch (Exception e) {
			res.getWriter().println("Erro ao gerar o relatrio: " + e);
		}
	}
	// Cria a conexo
	public void conexao() {
		try {
			if (con == null || con.isClosed()) {
				Class.forName("com.mysql.jdbc.Driver");
				con = DriverManager.getConnection(
						"jdbc:mysql://localhost:3306/" + banco, usuario, senha);
			}
		} catch (Exception e) {
			System.out.println("no foi possvel conectar ao banco ->");
			e.printStackTrace();
		}
	}

	protected void doGet(HttpServletRequest arg0, HttpServletResponse arg1)
			throws ServletException, IOException {
		doPost(arg0, arg1);
	}

}
