# EMS MySQL Manager Lite 3.2.0.1
# ---------------------------------------
# Host     : localhost
# Port     : 3306
# Database : relatorio


SET FOREIGN_KEY_CHECKS=0;

CREATE DATABASE `relatorio`
    CHARACTER SET 'latin1'
    COLLATE 'latin1_swedish_ci';

USE `relatorio`;

#
# Structure for the `autores` table : 
#

CREATE TABLE `autores` (
  `cd_autor` int(11) unsigned NOT NULL auto_increment,
  `Nome` varchar(60) default NULL,
  PRIMARY KEY  (`cd_autor`),
  UNIQUE KEY `cd_autor` (`cd_autor`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Structure for the `livro_autor` table : 
#

CREATE TABLE `livro_autor` (
  `cd_livro` int(11) unsigned NOT NULL default '0',
  `cd_autor` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`cd_livro`,`cd_autor`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Structure for the `livros` table : 
#

CREATE TABLE `livros` (
  `cd_livro` int(11) unsigned NOT NULL auto_increment,
  `Titulo` varchar(100) default NULL,
  `ISBN` int(15) default NULL,
  `DataLancamento` datetime default NULL,
  PRIMARY KEY  (`cd_livro`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Data for the `autores` table  (LIMIT 0,500)
#

INSERT INTO `autores` (`cd_autor`, `Nome`) VALUES 
  (1,'Kathy Sierra'),
  (2,'Bryan Basham'),
  (3,'Bert bates'),
  (4,'Carlos H. Poderoso de Oliveira');

COMMIT;

#
# Data for the `livro_autor` table  (LIMIT 0,500)
#

INSERT INTO `livro_autor` (`cd_livro`, `cd_autor`) VALUES 
  (1,1),
  (1,2),
  (1,3),
  (2,4);

COMMIT;

#
# Data for the `livros` table  (LIMIT 0,500)
#

INSERT INTO `livros` (`cd_livro`, `Titulo`, `ISBN`, `DataLancamento`) VALUES 
  (1,'Head First Servlets & JSP',596005407,'2004-07-01 00:00:00'),
  (2,'SQL Curso Prtico',857522041,'2005-02-10 00:00:00');

COMMIT;

